%define _name timer-applet
%define ver_major 1.2

Name: gnome-applets-extra-timer
Version: %ver_major
Release: alt2

Summary: GNOME Timer Applet
Group: Graphical desktop/GNOME
License: GPL
Url: http://timerapplet.sourceforge.net

Source: http://citkit.dl.sourceforge.net/sourceforge/timerapplet/%_name-%version.tar.bz2
Patch: %_name-0.8-alt-makefile.patch

%define GConf_ver 2.10.0
%define scrollkeeper_ver 0.3.14

PreReq: GConf2 >= %GConf_ver scrollkeeper >= %scrollkeeper_ver

BuildPreReq: GConf2 >= %GConf_ver
BuildPreReq: libgnome-panel-devel
BuildPreReq: gnome-common >= 2.8.0

BuildRequires: gnome-doc-utils libgnomeui-devel libSM-devel libpopt-devel perl-XML-Parser scrollkeeper

%description
Timer Applet is a countdown timer applet for the GNOME panel.

%define _appletdir %_libexecdir/gnome-applets

%prep
%setup -q -n %_name-%version
#patch -p1
# while no images
#__rm -rf help/*/figures
#__subst '/figdir/d' help/*/Makefile.am

%build
intltoolize --copy --force
gnome-doc-common --copy
%__autoreconf
%configure --libexecdir=%_appletdir \
    --disable-schemas-install --disable-scrollkeeper
%make_build

%install
%make_install DESTDIR=%buildroot install

%find_lang --with-gnome %_name

%post
%gconf2_install %_name
%update_scrollkeeper

%preun
if [ $1 = 0 ]; then
%gconf2_uninstall %_name
fi

%postun
%clean_scrollkeeper

%files -f %_name.lang
%_appletdir/%_name
%_libdir/bonobo/*/*
%_datadir/gnome-2.0/ui/*
%_datadir/pixmaps/*
%config %_sysconfdir/gconf/schemas/*
%doc AUTHORS README ChangeLog NEWS

%exclude %_localstatedir/scrollkeeper

%changelog
* Mon May 15 2006 Alexey Rusakov <ktirf@altlinux.ru> 1.2-alt2
- moved the applet file to %%_libexecdir/gnome-applets.

* Tue Apr 18 2006 Alexey Rusakov <ktirf@altlinux.ru> 1.2-alt1
- new version (1.2)
- spec cleanup, dependencies updated

* Sun Apr 03 2005 Yuri N. Sedunov <aris@altlinux.ru> 1.0-alt1
- 1.0

* Wed Mar 23 2005 Yuri N. Sedunov <aris@altlinux.ru> 0.9-alt1
- 0.9

* Fri Mar 18 2005 Yuri N. Sedunov <aris@altlinux.ru> 0.8-alt1
- First build for Sisyphus.

